# ChangeLog for media-sound/lilypond
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/media-sound/lilypond/ChangeLog,v 1.50 2007/02/22 01:10:30 peper Exp $

  22 Feb 2007; Piotr Jaroszyński <peper@gentoo.org> ChangeLog:
  Transition to Manifest2.

  28 Jan 2007; Marijn Schouten <hkBst@gentoo.org> metadata.xml:
  take over maintainership, fix metadata

  10 Jan 2007; Piotr Jaroszyński <peper@gentoo.org> lilypond-2.0.3.ebuild,
  lilypond-2.2.4.ebuild, lilypond-2.2.6.ebuild, lilypond-2.4.2.ebuild,
  lilypond-2.5.2.ebuild, lilypond-2.8.0-r1.ebuild:
  Dependency update: dev-util/guile -> dev-scheme/guile.

  20 Aug 2006; Stefan Schweizer <genstef@gentoo.org>
  lilypond-2.8.0-r1.ebuild:
  use virtual/ghostscript, because all ghostscript-8 are now stable,thanks to
  Ryan Van Wagoner <whiteviz@gmail.com> in bug 138620

  07 Jul 2006; Michael Sterrett <mr_bones_@gentoo.org>
  lilypond-2.8.0-r1.ebuild:
  remove non-existent app-text/ghostscript-afpl dep

  28 Apr 2006; Jason Wever <weeve@gentoo.org> lilypond-2.8.0-r1.ebuild:
  Re-added ~sparc keyword as it went missing.

  05 Apr 2006; Stefan Schweizer <genstef@gentoo.org>
  lilypond-2.8.0-r1.ebuild:
  Change virtual/ghostscript to || ( ) RDEPEND, bug 128887 thanks to Jean
  Bréfort <jean.brefort@normalesup.org>

  29 Mar 2006; Aron Griffis <agriffis@gentoo.org> lilypond-2.0.3.ebuild,
  lilypond-2.2.4.ebuild, lilypond-2.2.6.ebuild, lilypond-2.4.2.ebuild,
  lilypond-2.5.2.ebuild, lilypond-2.8.0-r1.ebuild:
  More testing shows that lilypond-2.8.0 will build with tetex-3, so don't
  restrict to tetex-2 for that version.  Repair my broken sed expression in the
  other ebuilds (was subbing pfa->PFA twice instead of doing pfb->PFB in the
  second case)

  28 Mar 2006; Aron Griffis <agriffis@gentoo.org> lilypond-2.0.3.ebuild,
  lilypond-2.2.4.ebuild, lilypond-2.2.6.ebuild, lilypond-2.4.2.ebuild,
  lilypond-2.5.2.ebuild, lilypond-2.8.0-r1.ebuild:
  Restrict older lilyponds to tetex-2 which provides /usr/bin/inimf #92040.
  sed makefiles so that mftrace-1.1.x can be used in place of mftrace-1.0.x
  #90334

  27 Mar 2006; Aron Griffis <agriffis@gentoo.org> lilypond-2.8.0-r1.ebuild:
  addwrite /root/.PfaEdit workaround #127723

*lilypond-2.8.0-r1 (27 Mar 2006)

  27 Mar 2006; Aron Griffis <agriffis@gentoo.org> -lilypond-2.8.0.ebuild,
  +lilypond-2.8.0-r1.ebuild:
  Fix support of USE=emacs. Fix sandbox issue when the same version of
  lilypond is re-installed

  26 Mar 2006; Aron Griffis <agriffis@gentoo.org> lilypond-2.0.3.ebuild,
  lilypond-2.2.4.ebuild, lilypond-2.2.6.ebuild, lilypond-2.4.2.ebuild,
  lilypond-2.5.2.ebuild, lilypond-2.8.0.ebuild:
  Older lilypond requires older mftrace, doesn't build with mftrace-1.1*. Run
  emake with LC_ALL=C so that mftrace doesn't complain about using iconv

*lilypond-2.8.0 (26 Mar 2006)

  26 Mar 2006; Aron Griffis <agriffis@gentoo.org> +lilypond-2.8.0.ebuild:
  Bump to 2.8.0 #97574

  27 Feb 2006; Ciaran McCreesh <ciaranm@gentoo.org> lilypond-2.0.3.ebuild,
  lilypond-2.2.4.ebuild, lilypond-2.2.6.ebuild, lilypond-2.4.2.ebuild,
  lilypond-2.5.2.ebuild:
  Remove global scope cut calls, bug #123958.

  29 Mar 2005; Jan Brinkmann <luckyduck@gentoo.org> lilypond-2.5.2.ebuild:
  updated sys-apps/texinfo dependency , fixes #86611

  20 Feb 2005; Aron Griffis <agriffis@gentoo.org> lilypond-2.5.2.ebuild:
  Depend on guile-1.6.5 so that lilypond works on ~amd64 #72811

  27 Dec 2004; Jason Wever <weeve@gentoo.org> lilypond-2.5.2.ebuild:
  Added ~sparc keyword.

*lilypond-2.5.2 (28 Nov 2004)

  28 Nov 2004; Aron Griffis <agriffis@gentoo.org> +lilypond-2.5.2.ebuild:
  Add lilypond-2.5.2 development version #71234

*lilypond-2.4.2 (28 Nov 2004)

  28 Nov 2004; Aron Griffis <agriffis@gentoo.org> +lilypond-2.4.2.ebuild:
  Bump to 2.4.2. Add DEPEND on ec-fonts-mftraced which requires dropping some
  KEYWORDS for now. #69594

*lilypond-2.2.6 (02 Nov 2004)

  02 Nov 2004; Jeremy Huddleston <eradicator@gentoo.org>
  -files/lilypond-1.8.2-coreutils-compat.patch, -lilypond-2.2.1.ebuild,
  -lilypond-2.2.2.ebuild, +lilypond-2.2.6.ebuild:
  Version bump.

  02 Sep 2004; Mamoru KOMACHI <usata@gentoo.org> lilypond-2.2.1.ebuild,
  lilypond-2.2.2.ebuild, lilypond-2.2.4.ebuild:
  app-text/tetex -> virtual/tetex

*lilypond-2.2.4 (19 Jul 2004)

  19 Jul 2004; Jeremy Huddleston <eradicator@gentoo.org>
  +lilypond-2.2.4.ebuild:
  ~sparc -amd64.  Version bump.

*lilypond-2.2.2 (11 Jun 2004)

  11 Jun 2004; Aron Griffis <agriffis@gentoo.org> +lilypond-2.2.2.ebuild:
  Update to 2.2.2, thanks to Maarten Wisse in bug 46701

*lilypond-2.2.1 (28 May 2004)

  28 May 2004; Aron Griffis <agriffis@gentoo.org> -lilypond-1.5.15.ebuild,
  -lilypond-1.6.6.ebuild, -lilypond-1.6.9.ebuild, -lilypond-1.8.2.ebuild,
  -lilypond-2.0.0.ebuild, lilypond-2.0.3.ebuild, +lilypond-2.2.1.ebuild:
  Mark 2.0.3 stable on alpha and x86; prune old ebuilds. Add ebuild for version
  2.2.1, thanks to Maarten Wisse in bug 46701 for the ebuild

  18 May 2004; Mamoru KOMACHI <usata@gentoo.org> lilypond-1.5.15.ebuild,
  lilypond-1.6.6.ebuild, lilypond-1.6.9.ebuild, lilypond-1.8.2.ebuild,
  lilypond-2.0.0.ebuild, lilypond-2.0.3.ebuild:
  Changed app-text/tetex to virtual/tetex, see bug #50865

  27 Apr 2004; Aron Griffis <agriffis@gentoo.org> lilypond-1.8.2.ebuild,
  lilypond-2.0.0.ebuild, lilypond-2.0.3.ebuild:
  Add inherit eutils

  25 Apr 2004; Jon Hood <squinky86@gentoo.org> lilypond-1.6.6.ebuild:
  added "die"

  20 Apr 2004; Jeremy Huddleston <eradicator@gentoo.org>
  lilypond-1.5.15.ebuild, lilypond-1.6.9.ebuild:
  Added IUSE.

  21 Mar 2004; David Holm <dholm@gentoo.org> lilypond-2.0.3.ebuild:
  Added to ~ppc.

*lilypond-2.0.3 (20 Mar 2004)

  20 Mar 2004; Jeremy Huddleston <eradicator@gentoo.org>
  lilypond-1.6.9.ebuild, lilypond-2.0.3.ebuild:
  Version bump.

  14 Jan 2004; Aron Griffis <agriffis@gentoo.org> lilypond-2.0.0.ebuild:
  Fix bison dependency from !sys-devel/bison-1.75 to !=sys-devel/bison-1.75

  03 Jan 2004; Aron Griffis <agriffis@gentoo.org> lilypond-2.0.0.ebuild:
  Fix bison dependency to prevent flip-flops

  09 Dec 2003; Heinrich Wendel <lanius@gentoo.org> lilypond-1.6.6.ebuild,
  lilypond-1.6.9.ebuild, lilypond-1.8.2.ebuild, lilypond-2.0.0.ebuild:
  changed app-text/ghostscript to virtual/ghostscript

  03 Dec 2003; Aron Griffis <agriffis@gentoo.org> lilypond-1.8.2.ebuild:
  Stable on alpha and x86

  01 Oct 2003; Aron Griffis <agriffis@gentoo.org> lilypond-2.0.0.ebuild:
  Fix trailing whitespace for repoman

*lilypond-2.0.0 (27 Sep 2003)

  27 Sep 2003; Aron Griffis <agriffis@gentoo.org> lilypond-2.0.0.ebuild,
  files/lilypond-2.0.0-coreutils-compat.patch:
  Update to 2.0.0.  Thanks to Mike Ossmann in bug 29619

*lilypond-1.8.2 (12 Sep 2003)

  12 Sep 2003; Aron Griffis <agriffis@gentoo.org> lilypond-1.8.2.ebuild,
  files/lilypond-1.8.2-coreutils-compat.patch:
  Update to 1.8.2.  Thanks to Mike Ossmann and Chandler Carruth in bug 26136

  12 Sep 2003; Aron Griffis <agriffis@gentoo.org> lilypond-1.6.9.ebuild:
  Remove web-doc building since it's broken in this ebuild and the 1.8.0 ebuild
  will have it fixed. This finishes bug 21305

  12 Sep 2003; Aron Griffis <agriffis@gentoo.org> lilypond-1.6.9.ebuild:
  Fix (part of) bug 21305 by disabling ccache.

  27 May 2003; jje <jje@gentoo.org> lilypond-1.6.9.ebuild:
  Fixed web-doc target, die was missing...

*lilypond-1.6.9 (17 May 2003)

  17 May 2003; jje <jje@gentoo.org> lilypond-1.6.9.ebuild:
  Simplified src_compile to reflect current compiler usage.
  
  The web-doc target is also being built.

  18 Jan 2003; Aron Griffis <agriffis@gentoo.org> lilypond-1.6.6.ebuild :
  Fix bug 13396 by requiring tetex-1.0.7-r12 which should fix the missing
  mf.base compilation problem.

*lilypond-1.6.6 (03 Dec 2002)

  09 Mar 2003; Aron Griffis <agriffis@gentoo.org> lilypond-1.6.6.ebuild:
  Mark stable on alpha

  21 Feb 2003; Aron Griffis <agriffis@gentoo.org> lilypond-1.6.6.ebuild :
  Add ~alpha to KEYWORDS

  03 Dec 2002; Aron Griffis <agriffis@gentoo.org> lilypond-1.6.6.ebuild :

  Update to version 1.6.6 which compiles with at least gcc-2.95.3 and
  gcc-3.2.1.  I put clauses in the ebuild to help compile for gcc-3.[01] but
  haven't been able to test them.  It shouldn't matter (much) since Gentoo 1.2
  is using gcc-2.95.3 and Gentoo 1.4 is using gcc-3.2.  This fixes BUG #4682.
  Thanks to Mike Ossmann <mike@ossmann.com> for his work on this version.

*lilypond-1.5.15 (1 Feb 2002)

  1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
  
  Added initial ChangeLog which should be updated whenever the package is
  updated in any way. This changelog is targetted to users. This means that the
  comments should well explained and written in clean English. The details about
  writing correct changelogs are explained in the skel.ChangeLog file which you
  can find in the root directory of the portage repository.
